#include <list>
#include <iostream>

using namespace std;

int main()
{
    int nizLista[200000];
    int vliste=0;
    int niz[] = { 1 ,7 ,2 ,7 ,2 ,2 ,3 };
    for (int i = 0; i <7; i++)
    {
        if ((i > 0) && niz[i - 1] > niz[i]) {
            cout << i << endl;
            nizLista[vliste] = i;
            vliste++;
        }
    }

    int b;
    cin >> b;
    for (int i = 0; i < b; i++)
    {
        int n;
        int m;
        bool jeste = true;
        bool ispucao = false;
        cin >> n >> m;
        int br = 0;

        for (int j = 0; (j < vliste); j++)
        {
            if (nizLista[j] > m - 1) {
                break;
            }
            if (ispucao && (nizLista[j] >= n)) {
                jeste = false;
                break;
            }
            if ((nizLista[j] >= n) && !ispucao) {
                ispucao = true;
            }
        }
        if (jeste)
            cout << "DA" << endl;
        else
            cout << "NE" << endl;

    }
}